package com.sqx.modules.taskCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.taskCenter.entity.TaskCenter;

import java.util.Map;

public interface TaskCenterService extends IService<TaskCenter> {

    //查询任务中心
    Result queryTaskCenter(Long userId);

    //任务领取
    Result taskReceive(Long userId, Long id);

    //获取大转盘抽奖次数
    int countTaskDisc(Long userId,String type);
}

